BBDKP_Dialog_Hook = function(objFrame)
	BBDKP_DialogAdjust.submit:HookScript("OnClick", function(self)
		local objParent = self:GetParent();

		local intAmount, intCurrent = objParent.amount:GetNumber(), time();
		local strReceiver = UIDropDownMenu_GetSelectedValue(objParent.receiver);
		local strReason = objParent.reason:GetText();

		if ( intAmount ~= 0 ) then
			table.insert(BBDKP_Log.adjustment, {
				["amount"]		= intAmount,
				["datetime"]	= intCurrent,
				["guid"]		= strReceiver,
				["reason"]		= strReason,
			});

			objFrame:set_standing_character(strReceiver, intAmount);
			objFrame:set_announcement("ADJUST", intAmount, strReceiver, strReason);
		end
	end);

	BBDKP_DialogStart.submit:HookScript("OnClick", function(self)
		local objParent = self:GetParent();

		local intAmount, intCurrent = objParent.amount_start:GetNumber(), time();
		local intInterval, strName = objParent.amount_interval:GetNumber(), objParent.name:GetText();
		local objRoster = objFrame:get_roster(intAmount);

		BBDKP_Raid = {
			["datetime"]	= intCurrent,
			["encounter"]	= {},
			["interval"]	= intInterval,
			["log"]			= {
				["encounter"]	= {},
				["interval"]	= {},
				["loot"]		= {},
				["start"]		= objRoster,
				["stop"]		= {},
			},
			["name"]		= strName,
			["roster"]		= {},
		};

		for strGUID, intAmount in pairs(objRoster) do
			objFrame:set_standing(strGUID, intAmount);
		end

		objFrame:set_announcement("START", intAmount, strName);
	end);

	BBDKP_DialogStop.submit:HookScript("OnClick", function(self)
		local objParent = self:GetParent();

		local intAmount, intCurrent = objParent.amount:GetNumber(), time();
		local objRoster, strName = objFrame:get_roster(intAmount), BBDKP_Raid.name;

		BBDKP_Raid.log.stop = objRoster;

		for strGUID, intAmount in pairs(objRoster) do
			objFrame:set_standing(strGUID, intAmount);
		end

		table.insert(BBDKP_Log.history, {
			["log"]				= BBDKP_Raid.log,
			["name"]			= BBDKP_Raid.name,
			["roster"]			= BBDKP_Raid.roster,
			["datetime_from"]	= BBDKP_Raid.datetime,
			["datetime_till"]	= intCurrent,
		});

		BBDKP_Raid = nil;

		objFrame:set_announcement("STOP", intAmount, strName);
	end);
	-- ****************************** --
	-- Set

	-- Passtrough
	-- ****************************** --
	BBDKP_Passtrough_set_announcement = function(...)
		return objFrame:set_announcement(...);
	end;

	BBDKP_Passtrough_get_standing = function(...)
		return objFrame:get_standing(...);
	end;
	-- ****************************** --
	-- Passtrough
end;
